% Sub-Matlab program for :
% Gapen, Michael T. and Thomas F. Cosimano, 
% "Sovling Ramsey Problems with Nonlinear Projection Methods," 
% Studies in Nonlinear Dynamics and Econometrics, Vol. 9, Spring
% 2005.
%
% function lpol=lambdafun(thetaup,gup,lam)
%
% Purpose: create the bivariate Chebyshev Polynomial for money
%
% ============================================================

function lpol=lambdafun(thetaup,gup,lam);

global thetaord gord %thetamin thetamax gmin gmax;

%thetadown=scaldown(thetaup,thetamin,thetamax);
%gdown=scaldown(gup,gmin,gmax);

lcheb=lambdapoly([thetaord gord],[thetaup gup]);

lpol=lcheb*lam;