% Sub-Matlab program for :
% Gapen, Michael T. and Thomas F. Cosimano, 
% "Sovling Ramsey Problems with Nonlinear Projection Methods," 
% Studies in Nonlinear Dynamics and Econometrics, Vol. 9, Spring
% 2005.
%
% function taupol=taufun(thetaup,gup,omega)
%
% Purpose: create the bivariate Chebyshev Polynomial for Taxes
%
% ============================================================

function taupol=taufun(thetaup,gup,omega);

global thetaord gord %thetamin thetamax gmin gmax;

%thetadown=scaldown(thetaup,thetamin,thetamax);
%gdown=scaldown(gup,gmin,gmax);

taucheb=taupoly([thetaord gord],[thetaup gup]);

taupol=taucheb*omega;