% Sub-Matlab program for :
% Gapen, Michael T. and Thomas F. Cosimano, 
% "Sovling Ramsey Problems with Nonlinear Projection Methods," 
% Studies in Nonlinear Dynamics and Econometrics, Vol. 9, Spring
% 2005.
%
% function hpol=hfun(thetaup,gup,phi)
%
% Purpose: create the bivariate Chebyshev Polynomial for labor
%
% ============================================================

function hpol=hfun(thetaup,gup,phi);

global thetaord gord %thetamin thetamax gmin gmax;

%thetadown=scaldown(thetaup,thetamin,thetamax);
%gdown=scaldown(gup,gmin,gmax);

hcheb=hpoly([thetaord gord],[thetaup gup]);

hpol=hcheb*phi;